Data Sources - Get

Gets a datasource instance.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.OperationalInsights/workspaces/{workspaceName}/dataSources/{dataSourceName}?api-version=2025-07-01

URI Parameters

Name In Required Type Description
dataSourceName
path True

string

Name of the datasource

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

workspaceName
path True

string

minLength: 4
maxLength: 63
pattern: ^[A-Za-z0-9][A-Za-z0-9-]+[A-Za-z0-9]$

The name of the workspace.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

DataSource

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

DataSourcesGet

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/OIAutoRest5123/providers/Microsoft.OperationalInsights/workspaces/AzTest9724/dataSources/AzTestDS774?api-version=2025-07-01

Sample response

{
  "name": "AzTestDS774",
  "type": "Microsoft.OperationalInsights/workspaces/datasources",
  "etag": "W/\"datetime'2017-10-01T08%3A01%3A21.2351243Z'\"",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000005/resourceGroups/OIAutoRest5123/providers/Microsoft.OperationalInsights/workspaces/AzTest9724/datasources/AzTestDS774",
  "kind": "AzureActivityLog",
  "properties": {
    "linkedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/microsoft.insights/eventtypes/management"
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

DataSource

Datasources under OMS Workspace.

DataSourceKind

The kind of the DataSource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DataSource

Datasources under OMS Workspace.

Name Type Description
etag

string

The ETag of the data source.

id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

DataSourceKind

The kind of the DataSource.

name

string

The name of the resource

properties

The data source properties in raw json format, each kind of data source have it's own schema.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

DataSourceKind

The kind of the DataSource.

Value Description
WindowsEvent

WindowsEvent

WindowsPerformanceCounter

WindowsPerformanceCounter

IISLogs

IISLogs

LinuxSyslog

LinuxSyslog

LinuxSyslogCollection

LinuxSyslogCollection

LinuxPerformanceObject

LinuxPerformanceObject

LinuxPerformanceCollection

LinuxPerformanceCollection

CustomLog

CustomLog

CustomLogCollection

CustomLogCollection

AzureAuditLog

AzureAuditLog

AzureActivityLog

AzureActivityLog

GenericDataSource

GenericDataSource

ChangeTrackingCustomPath

ChangeTrackingCustomPath

ChangeTrackingPath

ChangeTrackingPath

ChangeTrackingServices

ChangeTrackingServices

ChangeTrackingDataTypeConfiguration

ChangeTrackingDataTypeConfiguration

ChangeTrackingDefaultRegistry

ChangeTrackingDefaultRegistry

ChangeTrackingRegistry

ChangeTrackingRegistry

ChangeTrackingLinuxPath

ChangeTrackingLinuxPath

LinuxChangeTrackingPath

LinuxChangeTrackingPath

ChangeTrackingContentLocation

ChangeTrackingContentLocation

WindowsTelemetry

WindowsTelemetry

Office365

Office365

SecurityWindowsBaselineConfiguration

SecurityWindowsBaselineConfiguration

SecurityCenterSecurityWindowsBaselineConfiguration

SecurityCenterSecurityWindowsBaselineConfiguration

SecurityEventCollectionConfiguration

SecurityEventCollectionConfiguration

SecurityInsightsSecurityEventCollectionConfiguration

SecurityInsightsSecurityEventCollectionConfiguration

ImportComputerGroup

ImportComputerGroup

NetworkMonitoring

NetworkMonitoring

Itsm

Itsm

DnsAnalytics

DnsAnalytics

ApplicationInsights

ApplicationInsights

SqlDataClassification

SqlDataClassification

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.